wgt.himedian {robustbase} | R Documentation

## Weighted Hi-Median

### Description

Compute the weighted Hi-Median of `x`.

### Usage

    wgt.himedian(x, weights = rep(1, n))

### Arguments

`x` | numeric vector
`weights` | numeric vector of weights; of the same length as `x`.

### Note

this is rather a by-product of the code used in `Sn` and `Qn`. We currently plan to replace it with more general weighted quantiles.

### See Also

`median`; also `wtd.quantile` from package Hmisc.

### Examples

    x <- c(1:6, 20)
    median(x) ## 4
    stopifnot(all.equal(4, wgt.himedian(x)),
              all.equal(6, wgt.himedian(x, c(rep(1,6), 5))))

[Package robustbase version 0.92-8 Index]